# Fourth — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/fourth/gotchas

## GET /hris/employees

The `leaving_reason` field in Fourth is a string and not an enum. We will return `"other"` if there is a leaving reason. You can use `custom_mappings` to get the actual value.
The `manager.id` field may be empty even when `manager.name` is present. This occurs when the manager is a former employee who is not included in the active employees list. In such cases, the manager's EmployeeID cannot be resolved from the PayrollNumber lookup.

## GET /hris/employees/{id}

The `leaving_reason` field in Fourth is a string and not an enum. We will return `"other"` if there is a leaving reason. You can use `custom_mappings` to get the actual value.
The `manager.id` field may be empty even when `manager.name` is present. This occurs when the manager is a former employee who is not included in the active employees list. In such cases, the manager's EmployeeID cannot be resolved from the PayrollNumber lookup.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
